#pragma once

#include "Common.h"
#include "MapGrid.h"

#include "InformationManager.h"

namespace CPAC
{
class CombatSimulation
{
public:

	CombatSimulation();

	void setCombatUnits(const BWAPI::Position & center, const int radius);

	double simulateCombat();
};
}